ATA_ID_XFERMASK(9)

NAME
ata_id_xfermask - Compute xfermask from the given IDENTIFY data

SYNOPSIS

unsigned long ata_id_xfermask(const u16 * id);

ARGUMENTS

id
    IDENTIFY data to compute xfer mask from

DESCRIPTION

Compute the xfermask for this device. This is not as trivial as it seems if we must consider early devices correctly.

FIXME

pre IDE drive timing (do we care ?).

LOCKING

None.

RETURNS

Computed xfermask

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT